Reference
Documents
List Documents
Query Parameters
q?|
Search by filename
limit?integer
Default
25Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/documents"{
"hasNext": true,
"items": [
{
"contentType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"documentKind": "string",
"fileSizeBytes": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"pageCount": 0,
"sheetCount": 0,
"sheetNamesPreview": [
"string"
],
"status": "uploaded",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"limit": 0,
"offset": 0,
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Upload Document
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
multipart/form-data
file*file
Format
binaryResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/documents" \ -F file="string"{
"contentType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"documentKind": "string",
"fileSizeBytes": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"pageCount": 0,
"sheetCount": 0,
"sheetNamesPreview": [
"string"
],
"status": "uploaded",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Document
Path Parameters
document_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"contentType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"documentKind": "string",
"fileSizeBytes": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"pageCount": 0,
"sheetCount": 0,
"sheetNamesPreview": [
"string"
],
"status": "uploaded",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Document Page
Path Parameters
document_id*string
Format
uuidpage*integer
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/pages/0"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}